#!/usr/bin/env sh
# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

pixi run python3 helpers/generate_histograms.py alexnet -d montgomery -f default -l classify
pixi run python3 helpers/generate_histograms.py densenet -d montgomery -f default -l classify
pixi run python3 helpers/generate_histograms.py pasa -d montgomery -f default -l classify

pixi run python3 helpers/generate_histograms.py -d hivtb -f fold_0 -l classify
pixi run python3 helpers/generate_histograms.py -d indian -f default -l classify
pixi run python3 helpers/generate_histograms.py -d montgomery -f default -l classify
pixi run python3 helpers/generate_histograms.py -d nih_cxr14 -f default -l classify
pixi run python3 helpers/generate_histograms.py -d padchest -f idiap -l classify
pixi run python3 helpers/generate_histograms.py -d shenzhen -f default -l classify
pixi run python3 helpers/generate_histograms.py -d tbpoc -f fold_0 -l classify
pixi run python3 helpers/generate_histograms.py -d tbx11k_v1 -f fold_0 -l classify
pixi run python3 helpers/generate_histograms.py -d tbx11k_v2 -f fold_0 -l classify

pixi run python3 helpers/generate_histograms.py -d chasedb1 -f first_annotator -l segment
pixi run python3 helpers/generate_histograms.py -d cxr8 -f default -l segment
pixi run python3 helpers/generate_histograms.py -d drhagis -f default -l segment
pixi run python3 helpers/generate_histograms.py -d drionsdb -f expert1 -l segment
pixi run python3 helpers/generate_histograms.py -d drishtigs1 -f optic_cup_all -l segment
pixi run python3 helpers/generate_histograms.py -d drive -f default -l segment
pixi run python3 helpers/generate_histograms.py -d hrf -f default -l segment
pixi run python3 helpers/generate_histograms.py -d iostar -f vessel -l segment
pixi run python3 helpers/generate_histograms.py -d jsrt -f default -l segment
pixi run python3 helpers/generate_histograms.py -d montgomery -f default -l segment
pixi run python3 helpers/generate_histograms.py -d refuge -f cup -l segment
pixi run python3 helpers/generate_histograms.py -d rimoner3 -f cup_exp1 -l segment
pixi run python3 helpers/generate_histograms.py -d shenzhen -f default -l segment
pixi run python3 helpers/generate_histograms.py -d stare -f ah -l segment

pixi run python3 helpers/generate_histograms.py lwnet -d chasedb1 -f first_annotator -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d cxr8 -f default -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d drhagis -f default -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d drionsdb -f expert1 -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d drishtigs1 -f optic_cup_all -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d drive -f default -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d hrf -f default -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d iostar -f vessel -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d jsrt -f default -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d montgomery  -f default -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d refuge -f cup -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d rimoner3 -f cup_exp1 -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d shenzhen -f default -l segment
pixi run python3 helpers/generate_histograms.py lwnet -d stare -f ah -l segment
